Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.inverserecordmapping
Interface ShredXml

All Known Implementing Classes:
  MultipleXmlFlattener, ShredXmlPrefilter, SubtreeFlattener, SubtreeXmlFlattener

    public interface ShredXml

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(ServiceContext context, Flow flow, java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname, RecordWriter recordWriter)`
`boolean` | `isMatched()`
`void` | `mapRecord(ServiceContext context, Flow flow, RecordWriter recordWriter)`
`void` | `matchPath(ServiceContext context, Flow flow, SaxPath path)`
`void` | `startElement(ServiceContext context, Flow flow, SaxPath path, RecordWriter recordWriter)`

Method Detail

### isMatched

    boolean isMatched()

### matchPath

    void matchPath(ServiceContext context,
                   Flow flow,
                   SaxPath path)
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startElement

    void startElement(ServiceContext context,
                      Flow flow,
                      SaxPath path,
                      RecordWriter recordWriter)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    void characters(char[] ch,
                    int start,
                    int length)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    void endElement(ServiceContext context,
                    Flow flow,
                    java.lang.String namespaceUri,
                    java.lang.String localName,
                    java.lang.String qname,
                    RecordWriter recordWriter)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### mapRecord

    void mapRecord(ServiceContext context,
                   Flow flow,
                   RecordWriter recordWriter)
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD